%   This script generates a sample of a random field with covariance which
%   includes an exponential and a nugget term. 

COV= @(x) 2*exp(-x);
Loc=rand(150,2)*10; 
DMAT=pdist2(Loc,Loc);
COVMAT=COV(DMAT)+eye(150)*0.3; 
%bCovariance matrix, including nugget effect with C0=0.3
VALUE=sqrtm(COVMAT)*randn(150,1);
